Package org.eclipse.gef.zest.fx.parts

## Class GraphPart

- java.lang.Object
- - org.eclipse.gef.mvc.fx.parts.AbstractVisualPart<V>
  - - org.eclipse.gef.mvc.fx.parts.AbstractContentPart<javafx.scene.Group>
    - - org.eclipse.gef.zest.fx.parts.GraphPart

All Implemented Interfaces:
  `IActivatable`, `IAdaptable`, `IAdaptable.Bound<IViewer>`, `IDisposable`, `IContentPart<javafx.scene.Group>`, `IVisualPart<javafx.scene.Group>`

    public class GraphPart
    extends AbstractContentPart<javafx.scene.Group>

The `GraphPart` is the controller for a `Graph` content object. It starts a layout pass after activation and when its content children change.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`IAdaptable.Bound<A extends IAdaptable>`

### Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

### Field Summary

### Fields inherited from interface org.eclipse.gef.common.activate.IActivatable

`ACTIVE_PROPERTY`

### Fields inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`ADAPTERS_PROPERTY`

### Fields inherited from interface org.eclipse.gef.mvc.fx.parts.IContentPart

`CONTENT_ANCHORAGES_PROPERTY, CONTENT_CHILDREN_PROPERTY, CONTENT_PROPERTY`

### Fields inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`ANCHORAGES_PROPERTY, ANCHOREDS_PROPERTY, CHILDREN_PROPERTY, PARENT_PROPERTY, REFRESH_VISUAL_PROPERTY`

### Constructor Summary

Constructors
`GraphPart()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `doActivate()`
`protected void` `doAddChildVisual​(IVisualPart<? extends javafx.scene.Node> child, int index)`
`protected void` `doAddContentChild​(java.lang.Object contentChild, int index)`
`protected javafx.scene.Group` `doCreateVisual()`
`protected void` `doDeactivate()`
`protected SetMultimap<? extends java.lang.Object,​java.lang.String>` `doGetContentAnchorages()`
`protected java.util.List<? extends java.lang.Object>` `doGetContentChildren()`
`void` `doRefreshVisual​(javafx.scene.Group visual)`
`protected void` `doRemoveChildVisual​(IVisualPart<? extends javafx.scene.Node> child, int index)`
`protected void` `doRemoveContentChild​(java.lang.Object contentChild)`
`Graph` `getContent()`
`boolean` `isSelectable()`

### Methods inherited from class org.eclipse.gef.mvc.fx.parts.AbstractContentPart

`addContentChild, attachToContentAnchorage, contentAnchoragesUnmodifiableProperty, contentChildrenUnmodifiableProperty, contentProperty, detachFromContentAnchorage, doAttachToContentAnchorage, doDetachFromContentAnchorage, doReorderContentChild, getContentAnchoragesUnmodifiable, getContentChildrenUnmodifiable, isFocusable, refreshContentAnchorages, refreshContentChildren, register, registerAtContentPartMap, removeContentChild, reorderContentChild, setContent, unregister, unregisterFromContentPartMap`

### Methods inherited from class org.eclipse.gef.mvc.fx.parts.AbstractVisualPart

`activate, activateAdapters, activateChildren, activeProperty, adaptableProperty, adaptersProperty, addChild, addChild, addChildren, addChildren, anchoragesUnmodifiableProperty, anchoredsUnmodifiableProperty, attachAnchored, attachToAnchorage, attachToAnchorage, childrenUnmodifiableProperty, deactivate, deactivateAdapters, deactivateChildren, detachAnchored, detachFromAnchorage, detachFromAnchorage, determineViewer, dispose, doAttachToAnchorageVisual, doDetachFromAnchorageVisual, getAdaptable, getAdapter, getAdapter, getAdapter, getAdapterKey, getAdapters, getAdapters, getAdapters, getAnchoragesUnmodifiable, getAnchoredsUnmodifiable, getBehaviors, getChildrenUnmodifiable, getHandlers, getParent, getPolicies, getRoot, getVisual, isActive, isRefreshVisual, parentProperty, refreshVisual, refreshVisualProperty, registerAtVisualPartMap, removeChild, removeChildren, reorderChild, setAdaptable, setAdapter, setAdapter, setAdapter, setAdapter, setParent, setRefreshVisual, unregisterFromVisualPartMap, unsetAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.gef.common.activate.IActivatable

`activate, activeProperty, deactivate, isActive`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`adaptersProperty, getAdapter, getAdapter, getAdapter, getAdapterKey, getAdapters, getAdapters, getAdapters, setAdapter, setAdapter, setAdapter, setAdapter, unsetAdapter`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptableProperty, getAdaptable, setAdaptable`

### Methods inherited from interface org.eclipse.gef.common.dispose.IDisposable

`dispose`

### Methods inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`addChild, addChild, addChildren, addChildren, anchoragesUnmodifiableProperty, anchoredsUnmodifiableProperty, attachAnchored, attachToAnchorage, attachToAnchorage, childrenUnmodifiableProperty, detachAnchored, detachFromAnchorage, detachFromAnchorage, getAnchoragesUnmodifiable, getAnchoredsUnmodifiable, getBehaviors, getChildrenUnmodifiable, getHandlers, getParent, getPolicies, getRoot, getViewer, getVisual, isRefreshVisual, parentProperty, refreshVisual, refreshVisualProperty, removeChild, removeChildren, reorderChild, setParent, setRefreshVisual`

### Constructor Detail

#### GraphPart

    public GraphPart()

### Method Detail

#### doActivate

    protected void doActivate()

Overrides:
  `doActivate` in class `AbstractVisualPart<javafx.scene.Group>`

#### doAddChildVisual

    protected void doAddChildVisual​(IVisualPart<? extends javafx.scene.Node> child,
                                    int index)

Overrides:
  `doAddChildVisual` in class `AbstractVisualPart<javafx.scene.Group>`

#### doAddContentChild

    protected void doAddContentChild​(java.lang.Object contentChild,
                                     int index)

Overrides:
  `doAddContentChild` in class `AbstractContentPart<javafx.scene.Group>`

#### doCreateVisual

    protected javafx.scene.Group doCreateVisual()

Specified by:
  `doCreateVisual` in class `AbstractVisualPart<javafx.scene.Group>`

#### doDeactivate

    protected void doDeactivate()

Overrides:
  `doDeactivate` in class `AbstractVisualPart<javafx.scene.Group>`

#### doGetContentAnchorages

    protected SetMultimap<? extends java.lang.Object,​java.lang.String> doGetContentAnchorages()

Specified by:
  `doGetContentAnchorages` in class `AbstractContentPart<javafx.scene.Group>`

#### doGetContentChildren

    protected java.util.List<? extends java.lang.Object> doGetContentChildren()

Specified by:
  `doGetContentChildren` in class `AbstractContentPart<javafx.scene.Group>`

#### doRefreshVisual

    public void doRefreshVisual​(javafx.scene.Group visual)

Specified by:
  `doRefreshVisual` in class `AbstractVisualPart<javafx.scene.Group>`

#### doRemoveChildVisual

    protected void doRemoveChildVisual​(IVisualPart<? extends javafx.scene.Node> child,
                                       int index)

Overrides:
  `doRemoveChildVisual` in class `AbstractVisualPart<javafx.scene.Group>`

#### doRemoveContentChild

    protected void doRemoveContentChild​(java.lang.Object contentChild)

Overrides:
  `doRemoveContentChild` in class `AbstractContentPart<javafx.scene.Group>`

#### getContent

    public Graph getContent()

Specified by:
  `getContent` in interface `IContentPart<javafx.scene.Group>`
Overrides:
  `getContent` in class `AbstractContentPart<javafx.scene.Group>`

#### isSelectable

    public boolean isSelectable()

Specified by:
  `isSelectable` in interface `IContentPart<javafx.scene.Group>`
Overrides:
  `isSelectable` in class `AbstractContentPart<javafx.scene.Group>`